#include <bits/stdc++.h>
using namespace std;
vector <int> a;
vector <int> Sum;
int GlobalRez=1000000000;
int n,m;
void Resi(int index,int rez){
if(index==n){
    GlobalRez=min(GlobalRez,rez);
    return;
}
int sum=0;
for(int i=0;i<m;i++){
    Sum[i]+=a[index]>i;
}
for(int i=0;i<m;i++){
    sum+=Sum[i]*(index+1-Sum[i]);
}
Resi(index+1,sum);
for(int i=0;i<m;i++){
    Sum[i]-=a[index]>i;
}
sum=0;
for(int i=0;i<m;i++){
    Sum[i]+=a[index]<=i;
}
for(int i=0;i<m;i++){
    sum+=Sum[i]*(index+1-Sum[i]);
}
Resi(index+1,sum);
for(int i=0;i<m;i++){
    Sum[i]-=a[index]<=i;
}
}
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
cin >>n>>m;
a.resize(n);
Sum.resize(m);
for(int i=0;i<n;i++){
    cin >>a[i];
}
Resi(0,0);
cout <<GlobalRez<<endl;
}